import * as GC from "@grapecity/spread-sheets";

// expose GC on window object so that it could be used directly from window oject during testing
window["GC"] = GC;


let spreadHost = document.getElementById("ss");
let spread = new GC.Spread.Sheets.Workbook(spreadHost);

initSpread(spread);

function initSpread(spread){
    spread.setSheetCount(5);
    let sheet = spread.getActiveSheet();

    sheet.setValue(0, 0, "Test application");
    sheet.setFormula(54, 5, "=SUM(F51+F52)");

    window.spread = spread;
}
